> ## Documentation Index
> Fetch the complete documentation index at: https://synapse-docs.apart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Membership



## OpenAPI

````yaml /openapi.json patch /v1/organizations/{organization_id}/memberships/{membership_id}
openapi: 3.1.0
info:
  description: Are we on the same page?
  title: Synapse
  version: 0.1.0
servers: []
security: []
paths:
  /v1/organizations/{organization_id}/memberships/{membership_id}:
    patch:
      tags:
        - v1 control plane
      summary: Update Membership
      operationId: >-
        update_membership_v1_organizations__organization_id__memberships__membership_id__patch
      parameters:
        - in: path
          name: membership_id
          required: true
          schema:
            title: Membership Id
            type: string
        - in: header
          name: Idempotency-Key
          required: true
          schema:
            maxLength: 255
            minLength: 1
            title: Idempotency-Key
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MembershipRoleRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MembershipSummary'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
        - SessionCookie: []
components:
  schemas:
    MembershipRoleRequest:
      properties:
        role:
          enum:
            - owner
            - admin
            - builder
            - developer
            - analyst
            - viewer
          title: Role
          type: string
      required:
        - role
      title: MembershipRoleRequest
      type: object
    MembershipSummary:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        organization_id:
          title: Organization Id
          type: string
        role:
          enum:
            - owner
            - admin
            - builder
            - developer
            - analyst
            - viewer
          title: Role
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
        user_id:
          title: User Id
          type: string
      required:
        - id
        - organization_id
        - user_id
        - role
        - created_at
        - updated_at
      title: MembershipSummary
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      description: Named syn_ API key or migration-only legacy key.
      scheme: bearer
      type: http
    ApiKeyAuth:
      description: Header alias for a named or legacy API key.
      in: header
      name: X-API-Key
      type: apiKey
    SessionCookie:
      description: Opaque administrator browser session.
      in: cookie
      name: synapse_session
      type: apiKey

````